LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XFilterAdapter Interface Referencepublished

This is an interface that can be used to link a filter to the FilterAdapter. More...

`import"XFilterAdapter.idl";`

Inheritance diagram for XFilterAdapter:

## Public Member Functions
void | convert ([in] com::sun::star::io::XInputStream xml, [in] com::sun::star::io::XOutputStream device, [in] boolean convertToOffice, [in] string pluginUrl, [in] string fileName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This is an interface that can be used to link a filter to the FilterAdapter.

Exceptions

  com::sun::star::uno::RuntimeException |

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ convert()

void convert | ( | [in] com::sun::star::io::XInputStream | xml,
|  | [in] com::sun::star::io::XOutputStream | device,
|  | [in] boolean | convertToOffice,
|  | [in] string | pluginUrl,
|  | [in] string | fileName
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/document/XFilterAdapter.idl